Loading...
Searching...
No Matches
ON_2fPointArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_2fPointArray:

## Public Member Functions

| ON_2fPointArray ()
| ON_2fPointArray (int)
| ON_2fPointArray (const ON_2fPointArray &)
ON_2fPointArray & | operator= (const ON_2fPointArray &)
bool | GetBBox (float boxmin[2], float boxmax[2], int bGrowBox=false) const
bool | Transform (const ON_Xform &)
bool | SwapCoordinates (int, int)
Public Member Functions inherited from ON_SimpleArray< ON_2fPoint >
| ON_SimpleArray ()
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_2fPoint > & | operator= (const ON_SimpleArray< ON_2fPoint > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_2fPoint & | operator[] (int)
| operator ON_2fPoint * ()
| operator const ON_2fPoint * () const
ON_2fPoint * | First ()
ON_2fPoint * | At (int)
ON_2fPoint * | Last ()
ON_2fPoint & | AppendNew ()
void | Append (const ON_2fPoint &)
void | Insert (int, const ON_2fPoint &)
void | Remove ()
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_2fPoint &) const
int | BinarySearch (const ON_2fPoint *, int(*)(const ON_2fPoint *, const ON_2fPoint *)) const
bool | HeapSort (int(*)(const ON_2fPoint *, const ON_2fPoint *))
bool | QuickSort (int(*)(const ON_2fPoint *, const ON_2fPoint *))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_2fPoint *, const ON_2fPoint *)) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_2fPoint * | Realloc (ON_2fPoint *, int)
ON_2fPoint * | Array ()
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_2fPoint * | KeepArray ()
void | SetArray (ON_2fPoint *)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_2fPoint >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_2fPoint >
ON_2fPoint * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 437 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_2fPointArray() [1/3]

ON_2fPointArray::ON_2fPointArray | ( |  | ) |

Referenced by ON_2fPointArray(), and operator=().

## ON_2fPointArray() [2/3]

ON_2fPointArray::ON_2fPointArray | ( | int |  | ) |

## ON_2fPointArray() [3/3]

ON_2fPointArray::ON_2fPointArray | ( | const ON_2fPointArray & |  | ) |

References ON_2fPointArray().

## Member Function Documentation

## GetBBox()

bool ON_2fPointArray::GetBBox | ( | float | boxmin[2],
|  | float | boxmax[2],
|  | int | bGrowBox = false ) const

## operator=()

ON_2fPointArray & ON_2fPointArray::operator= | ( | const ON_2fPointArray & |  | ) |

References ON_2fPointArray().

## SwapCoordinates()

bool ON_2fPointArray::SwapCoordinates | ( | int | ,
|  | int | )

## Transform()

bool ON_2fPointArray::Transform | ( | const ON_Xform & |  | ) |

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_array.h